# pcmplay-22k, rawpcmplayle-22k:
#     Dummy ActionScript-based sound-playing Flash file
# Written (2015) by Nutchanon Wetchasit <Nutchanon.Wetchasit@gmail.com>
# 
# Released under Creative Commons Public Domain Dedication 1.0
# (https://creativecommons.org/publicdomain/zero/1.0/)

all: pcmplay-22k.swf rawpcmplayle-22k.swf

.DELETE_ON_ERROR: pcmplay-22k.swf rawpcmplayle-22k.swf \
	rawpcmplayle-22k.lib.swf rawpcmplayle-22k.lib.xml \
	pcmplay-22k.lib.xml pcmplay-22k.lib.swf

pcmplay-22k.swf: pcmplay-22k.as pcmplay-22k.lib.swf
	mtasc -version 8 -swf pcmplay-22k.lib.swf -out $@ -main $<

rawpcmplayle-22k.swf: pcmplay-22k.as rawpcmplayle-22k.lib.swf
	mtasc -version 8 -swf rawpcmplayle-22k.lib.swf -out $@ -main $<

rawpcmplayle-22k.lib.swf: rawpcmplayle-22k.lib.xml
	swfmill xml2swf $< $@

rawpcmplayle-22k.lib.xml: pcmplay-22k.lib.xml
	sed '/\(<DefineSound\s[^>]*\)format="3"\([^>]*>\)/{s//\1format="0"\2/;h}; $${x;/./{x;q0};x;q1}' < $< > $@

pcmplay-22k.lib.xml: pcmplay-22k.lib.swf
	swfmill swf2xml $< $@

pcmplay-22k.lib.swf: pcmplay-22k.xml siren-22k.wav
	swfmill simple $< $@

clean:
	rm -f pcmplay-22k.swf
	rm -f rawpcmplayle-22k.swf
	rm -f rawpcmplayle-22k.lib.swf
	rm -f rawpcmplayle-22k.lib.xml
	rm -f pcmplay-22k.lib.xml
	rm -f pcmplay-22k.lib.swf
