# pcmplay-8bit-22k, pcmplayle-8bit-22k:
#     Dummy ActionScript-based sound-playing Flash file
# Written (2015) by Nutchanon Wetchasit <Nutchanon.Wetchasit@gmail.com>
# 
# Released under Creative Commons Public Domain Dedication 1.0
# (https://creativecommons.org/publicdomain/zero/1.0/)

all: pcmplay-8bit-22k.swf rawpcmplay-8bit-22k.swf

.DELETE_ON_ERROR: pcmplay-8bit-22k.swf rawpcmplay-8bit-22k.swf \
	rawpcmplay-8bit-22k.lib.swf rawpcmplay-8bit-22k.lib.xml \
	pcmplay-8bit-22k.lib.xml pcmplay-8bit-22k.lib.swf

pcmplay-8bit-22k.swf: pcmplay-22k.as pcmplay-8bit-22k.lib.swf
	mtasc -version 8 -swf pcmplay-8bit-22k.lib.swf -out $@ -main $<

rawpcmplay-8bit-22k.swf: pcmplay-22k.as rawpcmplay-8bit-22k.lib.swf
	mtasc -version 8 -swf rawpcmplay-8bit-22k.lib.swf -out $@ -main $<

rawpcmplay-8bit-22k.lib.swf: rawpcmplay-8bit-22k.lib.xml
	swfmill xml2swf $< $@

rawpcmplay-8bit-22k.lib.xml: pcmplay-8bit-22k.lib.xml
	sed '/\(<DefineSound\s[^>]*\)format="3"\([^>]*>\)/{s//\1format="0"\2/;h}; $${x;/./{x;q0};x;q1}' < $< > $@

pcmplay-8bit-22k.lib.xml: pcmplay-8bit-22k.lib.swf
	swfmill swf2xml $< $@

pcmplay-8bit-22k.lib.swf: pcmplay-8bit-22k.xml siren-8bit-22k.wav
	swfmill simple $< $@

clean:
	rm -f pcmplay-8bit-22k.swf
	rm -f rawpcmplay-8bit-22k.swf
	rm -f rawpcmplay-8bit-22k.lib.swf
	rm -f rawpcmplay-8bit-22k.lib.xml
	rm -f pcmplay-8bit-22k.lib.xml
	rm -f pcmplay-8bit-22k.lib.swf
